> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Media File

> Create a media file, uploading an audio file (converted to WAV)



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/media-files/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/media-files/:
    post:
      tags:
        - Media Files
      summary: Create Media File
      description: Create a media file, uploading an audio file (converted to WAV)
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                tenantId:
                  type: string
                  description: Tenant ID (0 for system files)
                name:
                  type: string
                  description: Media file name
                text:
                  description: Text/description for the media file
                  type: string
                voiceId:
                  description: Voice ID used to synthesize audio
                  type: string
                file:
                  description: Audio file to upload (converted to WAV)
              required:
                - tenantId
                - name
              additionalProperties: false
      responses:
        '200':
          description: Created media file
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Media file ID
                  tenantId:
                    type: number
                    description: Tenant ID (0 = system)
                  name:
                    type: string
                    description: Media file name
                  size:
                    type: number
                    description: File size in bytes
                  text:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Text/description
                  voiceId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Voice ID
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO)
                  md5:
                    type: string
                    description: MD5 hash of the stored audio
                required:
                  - id
                  - tenantId
                  - name
                  - size
                  - text
                  - voiceId
                  - createdAt
                  - md5
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````